Subject: Re: [6lo] Last Call: <draft-ietf-6lo-dect-ule-07.txt> (Transmission of IPv6 Packets over DECT Ultra Low Energy) to Proposed Standard

From: [email-masked] (Dale R. Worley)
Date: Wed, 16 Nov 2016 22:34:51 -0500

Comments on draft-ietf-6lo-dect-ule-07.

Some of these comments appear to be technical questions, but I believe
that in all cases, there is misunderstanding due to editorial issues.

1.  Introduction

   DECT terminology operates with two major role definitions:

Better, "DECT terminology has two major role definitions".

   broche

Wiktionary says this form is obsolete and "brooch" is preferred.  But
this may be a specialized usage where "broche" is always used.

   gateways, as many of these already implements DECT CAT-iq for

"implements" should be "implement" here.

1.2.  Terms Used

  6CO:     6LoWPAN Context Option [RFC6775]
  6BBR:    6loWPAN Backbone Router
  [etc.]

Normally, a colon is not used in this situation.

2.  DECT Ultra Low Energy

   support both circuit switched for service

This is probably supposed to be "circuit switched service".

2.1.  The DECT ULE Protocol Stack

   The DECT ULE protocol stack consists of the PHY layer operating at
   frequencies in the 1880 - 1920 MHz frequency band depending on the
   region and uses a symbol rate of 1.152 Mbps.  Radio bearers are
   allocated by use of FDMA/TDMA/TDD techniques.

The first sentence doesn't make sense, as a protocol stack cannot
"consist of" a PHY layer.  I think you want "The DECT ULE PHY layer
operates ..." or "The DECT ULE protocol stack contains/includes a PHY
layer operating ..."

The "symbol rate" (IIUC) is the rate at which code symbols are
transmitted, and so is measured in symbols/second not bits/second.
Perhaps you mean that the "raw data rate" is 1.152 Mbps?

   The DECT ULE device will typically incorporate an Application
   Programmers Interface (API) as well as common elements known as

This should be "application programming interface" to match the
definition in section 1.2.  If a specific API is meant, then the
spelled-out version can be capitalized, but if the API is not
specified, the spelled-out version should be lower-case.

   Figure 1 above shows the DECT ULE Stack divided into the Control-
   plane and User-data path, to left and to the right, respectively.

Figure 1 uses "U-plane" whereas the text uses "User-data path".
Should "path" be "plane"?

2.2.  Link Layer Roles and Topology

   whereas DECT ULE in it's primary configuration

s/it's/its/  (This is an irregularity in English.)

   DECT ULE repeaters are considered to operate in the DECT protocol
   domain and are outside the scope of this document.

It would be convenient if DECT repeaters were transparent to the
layers of the protocol described in this document.  If so, it would be
useful to state that explicitly.  OTOH, if DECT ULE repeaters are not
expected to interoperate with 6lo-dect-ule, it would be useful to warn
the reader.

2.5.  Additional Considerations

   The DECT ULE standard allows PP to be DECT-registered (bind) to
s/bind/bound/
   multiple FP and roaming between them.  These FP and their 6LBR
s/roaming/roam/
   functionalities can either operate individual or connected through a
s/operate individual/operate individually/
   Backbone Router as per [I-D.ietf-6lo-backbone-router].

3.  Specification of IPv6 over DECT ULE

   As consequence of DECT ULE in it's primary configuration does not

"it's" should be "its".  The first few words of the sentence aren't
quite correct.  A better phrasing is "Because DECT ULE in its primary
...".

3.1.  Protocol Stack

   <<IWU-ATTRIBUTES>>

Is this written in the way that it should be?

3.2.1.  Stateless Address Autoconfiguration

   Detection (DAD) [RFC4862] MUST be used.  In situations where the
   devices address embedded in the IID are required to support
   deployment constraints, 6LN MAY form a 64-bit IID by utilizing the
   MAC-48 device address or DECT device addresses.

"devices" should have an apostrophe, and "address" does not agree with
"are".  The best fix for this is probably to make the words singular:

   In situations where the device's address embedded in the IID is
   required to support ...

However, it is not clear what is "required to support".  I suspect
that is the fact that the device's address is embedded in the IID,
rather than the device's address.  In that case, the sentence is
disambiguated as:

   In situations where deployment constraints require the device's
   address to be embedded in the IID, 6LN MAY form a 64-bit IID by
   utilizing the MAC-48 device address or DECT device addresses.

3.2.2.  Neighbor Discovery

   As DECT ULE is considered not to
   support mesh networks, hence only those aspects that apply to a star
   topology are considered.

This is not worded correctly.  Perhaps

   As DECT ULE is does not support mesh networks, only those aspects
   of [RFC6775] that apply to a star topology are considered.

5.  Security Considerations

   The secure transmission of speech over DECT will be based on the
   DSAA2 and DSC/DSC2 specification developed by ETSI TC DECT and the
   ETSI SAGE Security expert group.

This paragraph discusses securing speech transmission, which is
irrelevant to this specification.  OTOH, the cryptographic processes
described in the next two paragraphs are not specified, only their
outlines are given.  Is the word "speech" in the above paragraph
correct?  It it was changed to "data", then the first paragraph
connects to the next two paragraphs.

Dale

---

From: Jens Toftgaard Petersen <[email-masked]>
Date: Tue, 22 Nov 2016 13:29:08 +0000

Hi Dale,

Thanks for your review. 
I have made your suggested editorial changes and submitted a revised version of the draft.

Best regards,
  Jens

-----Original Message-----
From: 6lo [mailto:[email-masked]] On Behalf Of Dale R. Worley
Sent: 17. november 2016 04:35
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [6lo] Last Call: <draft-ietf-6lo-dect-ule-07.txt> (Transmission of IPv6 Packets over DECT Ultra Low Energy) to Proposed Standard

Some of these comments appear to be technical questions, but I believe that in all cases, there is misunderstanding due to editorial issues.

1.  Introduction

   broche

Wiktionary says this form is obsolete and "brooch" is preferred.  But this may be a specialized usage where "broche" is always used.

1.2.  Terms Used

2.  DECT Ultra Low Energy

The first sentence doesn't make sense, as a protocol stack cannot "consist of" a PHY layer.  I think you want "The DECT ULE PHY layer operates ..." or "The DECT ULE protocol stack contains/includes a PHY layer operating ..."

The "symbol rate" (IIUC) is the rate at which code symbols are transmitted, and so is measured in symbols/second not bits/second.
Perhaps you mean that the "raw data rate" is 1.152 Mbps?

This should be "application programming interface" to match the definition in section 1.2.  If a specific API is meant, then the spelled-out version can be capitalized, but if the API is not specified, the spelled-out version should be lower-case.

It would be convenient if DECT repeaters were transparent to the layers of the protocol described in this document.  If so, it would be useful to state that explicitly.  OTOH, if DECT ULE repeaters are not expected to interoperate with 6lo-dect-ule, it would be useful to warn the reader.

   The DECT ULE standard allows PP to be DECT-registered (bind) to s/bind/bound/
   multiple FP and roaming between them.  These FP and their 6LBR s/roaming/roam/
   functionalities can either operate individual or connected through a s/operate individual/operate individually/
   Backbone Router as per [I-D.ietf-6lo-backbone-router].

"it's" should be "its".  The first few words of the sentence aren't quite correct.  A better phrasing is "Because DECT ULE in its primary ...".

3.1.  Protocol Stack

   <<IWU-ATTRIBUTES>>

"devices" should have an apostrophe, and "address" does not agree with "are".  The best fix for this is probably to make the words singular:

However, it is not clear what is "required to support".  I suspect that is the fact that the device's address is embedded in the IID, rather than the device's address.  In that case, the sentence is disambiguated as:

This paragraph discusses securing speech transmission, which is irrelevant to this specification.  OTOH, the cryptographic processes described in the next two paragraphs are not specified, only their outlines are given.  Is the word "speech" in the above paragraph correct?  It it was changed to "data", then the first paragraph connects to the next two paragraphs.

Dale

_______________________________________________
6lo mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/6lo